"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _cpDesignSystemCore = require("@catapult-tech/cp-design-system-core");

var _cpDesignSystemTheme = require("@catapult-tech/cp-design-system-theme");

var _cpDesignSystemIcon = require("@catapult-tech/cp-design-system-icon");

var _psdsErrorPage$Ps;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = (_psdsErrorPage$Ps = {
  '.psds-error-page': {
    maxWidth: '500px',
    margin: '0 auto',
    padding: "".concat(_cpDesignSystemCore.layout.spacingXLarge, " ").concat(_cpDesignSystemCore.layout.spacingLarge),
    textAlign: 'center',
    color: _cpDesignSystemCore.colorsTextIcon.highOnDark
  }
}, _defineProperty(_psdsErrorPage$Ps, ".psds-error-page.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  color: _cpDesignSystemCore.colorsTextIcon.highOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__icon', {
  margin: '0 auto',
  fill: 'currentColor',
  height: '128px',
  width: '128px'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__icon.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  color: _cpDesignSystemCore.colorsTextIcon.highOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__code', {
  padding: "4px 0 ".concat(_cpDesignSystemCore.layout.spacingSmall, " 0"),
  '& > h2': {
    color: _cpDesignSystemCore.colorsTextIcon.lowOnDark
  }
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__code.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  '& > h2': {
    color: _cpDesignSystemCore.colorsTextIcon.lowOnLight
  }
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search', {
  position: 'relative',
  display: 'inline-flex',
  alignItems: 'center'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  background: _cpDesignSystemCore.colorsWhite,
  color: _cpDesignSystemCore.colorsTextIcon.lownOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search__icon', {
  position: 'absolute',
  left: _cpDesignSystemCore.layout.spacingXSmall,
  width: _cpDesignSystemIcon.widths.medium,
  height: _cpDesignSystemIcon.widths.medium,
  fill: _cpDesignSystemCore.colorsTextIcon.lowOnDark
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search__icon.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  fill: _cpDesignSystemCore.colorsTextIcon.lowOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search__input', {
  position: 'relative',
  height: '40px',
  padding: "0 ".concat(_cpDesignSystemCore.layout.spacingXSmall, " 0 calc(").concat(_cpDesignSystemCore.layout.spacingXSmall, " + ").concat(_cpDesignSystemIcon.widths.medium, " + ").concat(_cpDesignSystemCore.layout.spacingXSmall, ")"),
  color: _cpDesignSystemCore.colorsTextIcon.lowOnDark,
  fontSize: _cpDesignSystemCore.type.fontSizeSmall,
  lineHeight: _cpDesignSystemCore.type.lineHeightStandard,
  background: 'none',
  border: "1px solid ".concat(_cpDesignSystemCore.colorsBorder.highOnDark),
  borderRadius: '2px'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search__input.psds-theme--".concat(_cpDesignSystemTheme.names.light), {
  border: "1px solid ".concat(_cpDesignSystemCore.colorsBorder.highOnLight),
  color: _cpDesignSystemCore.colorsTextIcon.lowOnLight
}), _defineProperty(_psdsErrorPage$Ps, '@media (min-width: 769px)', {
  '.psds-error-page': {
    paddingTop: '92px'
  },
  '.psds-error-page__text': {
    '& > h1': {
      fontSize: _cpDesignSystemCore.type.fontSizeLarge,
      fontWeight: _cpDesignSystemCore.type.fontWeightBook,
      lineHeight: _cpDesignSystemCore.type.lineHeightExtra
    }
  }
}), _psdsErrorPage$Ps);

exports.default = _default;