"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _errorPage = _interopRequireDefault(require("./error-page.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ForbiddenErrorPage = function ForbiddenErrorPage(props) {
  return /*#__PURE__*/_react.default.createElement(_errorPage.default, {
    iconId: "eyeball",
    text: "You are not authorized to view this page. Try contacting support or reaching out to your plan administrator.",
    code: "403",
    href: props.href || 'https://help.catapult.app/help/contact-us'
  });
};

ForbiddenErrorPage.propTypes = {
  href: _propTypes.default.string
};
var _default = ForbiddenErrorPage;
exports.default = _default;
