"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ForbiddenErrorPage", {
  enumerable: true,
  get: function get() {
    return _forbiddenErrorPage.default;
  }
});
Object.defineProperty(exports, "NotFoundErrorPage", {
  enumerable: true,
  get: function get() {
    return _notFoundErrorPage.default;
  }
});
Object.defineProperty(exports, "InternalServerErrorPage", {
  enumerable: true,
  get: function get() {
    return _internalServerErrorPage.default;
  }
});
Object.defineProperty(exports, "ServiceUnavailableErrorPage", {
  enumerable: true,
  get: function get() {
    return _serviceUnavailableErrorPage.default;
  }
});
Object.defineProperty(exports, "ErrorPage", {
  enumerable: true,
  get: function get() {
    return _errorPage.default;
  }
});

var _forbiddenErrorPage = _interopRequireDefault(require("./forbidden-error-page.js"));

var _notFoundErrorPage = _interopRequireDefault(require("./not-found-error-page.js"));

var _internalServerErrorPage = _interopRequireDefault(require("./internal-server-error-page.js"));

var _serviceUnavailableErrorPage = _interopRequireDefault(require("./service-unavailable-error-page.js"));

var _errorPage = _interopRequireDefault(require("./error-page.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }