"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _errorPage = _interopRequireDefault(require("./error-page.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InternalServerErrorPage = function InternalServerErrorPage(props) {
  return /*#__PURE__*/_react.default.createElement(_errorPage.default, {
    iconId: "cloud",
    text: "Something unexpected has happened. Please try again. If you continue to experience problems, let us know.",
    code: "500",
    href: props.href || 'https://help.catapult.app/help/contact-us'
  });
};

InternalServerErrorPage.propTypes = {
  href: _propTypes.default.string
};
var _default = InternalServerErrorPage;
exports.default = _default;
