"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _errorPage = _interopRequireDefault(require("./error-page.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NotFoundErrorPage = function NotFoundErrorPage(props) {
  return /*#__PURE__*/_react.default.createElement(_errorPage.default, {
    iconId: "spyglass",
    text: "Sorry, the page you are looking for cannot be found. Try checking the URL for errors or search our library.",
    code: "404",
    action: props.action || '/search'
  });
};

NotFoundErrorPage.propTypes = {
  action: _propTypes.default.string
};
var _default = NotFoundErrorPage;
exports.default = _default;