var _psdsErrorPage$Ps;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import { colorsBorder, colorsTextIcon, colorsWhite, layout, type } from '@catapult-tech/cp-design-system-core';
import { names as themeNames } from '@catapult-tech/cp-design-system-theme';
import { widths as iconWidths } from '@catapult-tech/cp-design-system-icon';
export default (_psdsErrorPage$Ps = {
  '.psds-error-page': {
    maxWidth: '500px',
    margin: '0 auto',
    padding: "".concat(layout.spacingXLarge, " ").concat(layout.spacingLarge),
    textAlign: 'center',
    color: colorsTextIcon.highOnDark
  }
}, _defineProperty(_psdsErrorPage$Ps, ".psds-error-page.psds-theme--".concat(themeNames.light), {
  color: colorsTextIcon.highOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__icon', {
  margin: '0 auto',
  fill: 'currentColor',
  height: '128px',
  width: '128px'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__icon.psds-theme--".concat(themeNames.light), {
  color: colorsTextIcon.highOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__code', {
  padding: "4px 0 ".concat(layout.spacingSmall, " 0"),
  '& > h2': {
    color: colorsTextIcon.lowOnDark
  }
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__code.psds-theme--".concat(themeNames.light), {
  '& > h2': {
    color: colorsTextIcon.lowOnLight
  }
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search', {
  position: 'relative',
  display: 'inline-flex',
  alignItems: 'center'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search.psds-theme--".concat(themeNames.light), {
  background: colorsWhite,
  color: colorsTextIcon.lownOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search__icon', {
  position: 'absolute',
  left: layout.spacingXSmall,
  width: iconWidths.medium,
  height: iconWidths.medium,
  fill: colorsTextIcon.lowOnDark
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search__icon.psds-theme--".concat(themeNames.light), {
  fill: colorsTextIcon.lowOnLight
}), _defineProperty(_psdsErrorPage$Ps, '.psds-error-page__search__input', {
  position: 'relative',
  height: '40px',
  padding: "0 ".concat(layout.spacingXSmall, " 0 calc(").concat(layout.spacingXSmall, " + ").concat(iconWidths.medium, " + ").concat(layout.spacingXSmall, ")"),
  color: colorsTextIcon.lowOnDark,
  fontSize: type.fontSizeSmall,
  lineHeight: type.lineHeightStandard,
  background: 'none',
  border: "1px solid ".concat(colorsBorder.highOnDark),
  borderRadius: '2px'
}), _defineProperty(_psdsErrorPage$Ps, ".psds-error-page__search__input.psds-theme--".concat(themeNames.light), {
  border: "1px solid ".concat(colorsBorder.highOnLight),
  color: colorsTextIcon.lowOnLight
}), _defineProperty(_psdsErrorPage$Ps, '@media (min-width: 769px)', {
  '.psds-error-page': {
    paddingTop: '92px'
  },
  '.psds-error-page__text': {
    '& > h1': {
      fontSize: type.fontSizeLarge,
      fontWeight: type.fontWeightBook,
      lineHeight: type.lineHeightExtra
    }
  }
}), _psdsErrorPage$Ps);