import PropTypes from 'prop-types';
import React from 'react';
import ErrorPage from './error-page.js';

var InternalServerErrorPage = function InternalServerErrorPage(props) {
  return /*#__PURE__*/React.createElement(ErrorPage, {
    iconId: "cloud",
    text: "Something unexpected has happened. Please try again. If you continue to experience problems, let us know.",
    code: "500",
    href: props.href || 'https://help.catapult.app/help/contact-us'
  });
};

InternalServerErrorPage.propTypes = {
  href: PropTypes.string
};
export default InternalServerErrorPage;
