import React from 'react';
import ErrorPage from './error-page.js';

var ServiceUnavailableErrorPage = function ServiceUnavailableErrorPage(props) {
  return /*#__PURE__*/React.createElement(ErrorPage, {
    iconId: "cloud",
    text: "Unfortunately the site is currently unavailable. We expect everything back in order shortly. Sorry for the inconvenience.",
    code: "503"
  });
};

export default ServiceUnavailableErrorPage;