"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _errorPage = _interopRequireDefault(require("./error-page.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ServiceUnavailableErrorPage = function ServiceUnavailableErrorPage(props) {
  return /*#__PURE__*/_react.default.createElement(_errorPage.default, {
    iconId: "cloud",
    text: "Unfortunately the site is currently unavailable. We expect everything back in order shortly. Sorry for the inconvenience.",
    code: "503"
  });
};

var _default = ServiceUnavailableErrorPage;
exports.default = _default;