import PropTypes from 'prop-types';
import React from 'react';
import ErrorPage from './error-page.js';

var ForbiddenErrorPage = function ForbiddenErrorPage(props) {
  return /*#__PURE__*/React.createElement(ErrorPage, {
    iconId: "eyeball",
    text: "You are not authorized to view this page. Try contacting support or reaching out to your plan administrator.",
    code: "403",
    href: props.href || 'https://help.catapult.app/help/contact-us'
  });
};

ForbiddenErrorPage.propTypes = {
  href: PropTypes.string
};
export default ForbiddenErrorPage;
