function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as _iconsCloudIconDistJs from "./icons/cloud-icon.dist.js";
import * as _iconsEyeballIconDistJs from "./icons/eyeball-icon.dist.js";
import * as _iconsSearchIconDistJs from "./icons/search-icon.dist.js";
import * as _iconsSpyglassIconDistJs from "./icons/spyglass-icon.dist.js";
import camelize from 'camelize';
var imported = {
  "./icons/cloud-icon.dist.js": _iconsCloudIconDistJs,
  "./icons/eyeball-icon.dist.js": _iconsEyeballIconDistJs,
  "./icons/search-icon.dist.js": _iconsSearchIconDistJs,
  "./icons/spyglass-icon.dist.js": _iconsSpyglassIconDistJs
};

var convertToIconId = function convertToIconId(filePath) {
  var trimmed = filePath.replace('./icons/', '').replace('-icon.dist.js', '');
  return camelize(trimmed);
};

export default Object.keys(imported).reduce(function (acc, filePath) {
  var value = imported[filePath].default;
  var id = convertToIconId(filePath);
  return _objectSpread(_objectSpread({}, acc), {}, _defineProperty({}, id, value));
}, {});